- Home
- API Enriched
- Shape
- shape
- Friction Histogram Dashboard.
Friction Histogram Dashboard.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/friction_histogram';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"endTime":"example","itemUnit":"example","startTime":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/friction_histogram \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "endTime": "example", "itemUnit": "example", "startTime": "example" }'GET Histogram Aggregation chart data from shape recognize API.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Since and to times to generate the Friction Histogram Request.
object
The time to we want the channel data Required: YES.
The unit where the data is represented.
The time since we want the channel data Required: YES.
Examplegenerated
{ "endTime": "example", "itemUnit": "example", "startTime": "example"}Responses
Section titled “Responses”A successful response.
The data of Friction Histogram Response.
object
The actual version of the shape recognize API.
object
Item Unit
Items in a collection or array
Friction Histogram Spareable Item data to fill the chart.
object
Configuration parameter for OBSOLETE2 date
Configuration parameter for OBSOLETE date
Configuration parameter for date
DirectResetPw.
FinalSuccess.
FirstSuccess.
LoginFailResetPw.
NoSuccess
NonRecogUser.
RecogUser
TotalItems.
The ID from the Lift Response.
Examplegenerated
{ "apiVersion": "example", "data": { "itemUnit": "example", "items": [ { "OBSOLETE2_date": 1, "OBSOLETE_date": "example", "date": 1, "directResetPw": 1, "finalSuccess": 1, "firstSuccess": 1, "loginFailResetPw": 1, "noSuccess": 1, "nonRecogUser": 1, "recogUser": 1 } ], "totalItems": 1 }, "id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example